aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Holly Cummins <holly.k.cumm...@googlemail.com>
Subject Re: Problem building Aries
Date Fri, 20 Jul 2012 15:14:39 GMT
I thought that was only possible using the versions plugin to
manipulate the source pom, but then I'm not sure how to interpret that
build snippet. In any case, I think I got rid of the escapee SNAPSHOT
dependencies now, so - hopefully - your build should be good. Sorry
about that.

On Fri, Jul 20, 2012 at 3:54 PM, Mark Nuttall <mnuttall@apache.org> wrote:
> Having said that, #1582 has got further. What I can't yet do is to coax our
> copy of the build past the decision to replace "1.0.0-SNAPSHOT" with
> "1.0.0." We see Hudson doing this below - does anyone know if there's some
> sort of magic setting to make mvn accept a "1.0.0" artifact for a
> "1.0.0-SNAPSHOT" dependency?
>
> Its dependencies (if any) will NOT be available to the current build.
> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
> checking for updates from apache.snapshots
> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
> checking for updates from codehaus.snapshots
> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
> checking for updates from codehaus.snapshots
> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
> checking for updates from EclipseLink Repo
> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
> checking for updates from apache.snapshots
> Downloading: http://repo1.maven.org/maven2/org/apache/aries/eba-maven-plugin/1.0.0/eba-maven-plugin-1.0.0.pom
> 5K downloaded  (eba-maven-plugin-1.0.0.pom)
> Downloading: http://repo1.maven.org/maven2/org/apache/aries/eba-maven-plugin/1.0.0/eba-maven-plugin-1.0.0.jar
> 17K downloaded  (eba-maven-plugin-1.0.0.jar)
>
>
>
>
> On 20 July 2012 15:30, Mark Nuttall <mnuttall@apache.org> wrote:
>
>> We can see this in the latest Hudson build, #1581. I've kicked off another
>> build to follow it but I think it's a genuine problem.
>>
>>
>> Its dependencies (if any) will NOT be available to the current build.
>> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT: checking for updates
from apache.snapshots
>> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT: checking for updates
from codehaus.snapshots
>> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT: checking for updates
from codehaus.snapshots
>> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT: checking for updates
from EclipseLink Repo
>> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT: checking for updates
from apache.snapshots
>> Downloading: http://repository.apache.org/snapshots/org/apache/aries/eba-maven-plugin/1.0.0-SNAPSHOT/eba-maven-plugin-1.0.0-20120714.033233-39.pom
>>
>> Downloading: http://repository.apache.org/snapshots/org/apache/aries/eba-maven-plugin/1.0.0-SNAPSHOT/eba-maven-plugin-1.0.0-20120714.033233-39.jar
>> 17K downloaded  (eba-maven-plugin-1.0.0-20120714.033233-39.jar)
>> Downloading: http://repo1.maven.org/maven2/org/apache/aries/eba-maven-plugin/1.0.0/eba-maven-plugin-1.0.0.pom
>> [INFO] Unable to find resource 'org.apache.aries:eba-maven-plugin:pom:1.0.0' in repository
central (http://repo1.maven.org/maven2)
>> Downloading: http://download.eclipse.org/rt/eclipselink/maven.repo//org/apache/aries/eba-maven-plugin/1.0.0/eba-maven-plugin-1.0.0.pom
>> [INFO] Unable to find resource 'org.apache.aries:eba-maven-plugin:pom:1.0.0' in repository
EclipseLink Repo (http://download.eclipse.org/rt/eclipselink/maven.repo/)
>> Downloading: http://repo1.maven.org/maven2/org/apache/aries/eba-maven-plugin/1.0.0/eba-maven-plugin-1.0.0.pom
>> [INFO] Unable to find resource 'org.apache.aries:eba-maven-plugin:pom:1.0.0' in repository
central (http://repo1.maven.org/maven2)
>> [INFO] ------------------------------------------------------------------------
>> [ERROR] BUILD ERROR[INFO] ------------------------------------------------------------
>> ------------
>> [INFO] Error building POM (may not be this project's POM).
>>
>>
>>
>>
>> On 20 July 2012 15:28, mark <mpnuttall@gmail.com> wrote:
>>
>>> Hi Holly,
>>> Our build is still broken. I think that there may be dependencies on
>>> eba-maven-plugin version 1.0.0-SNAPSHOT lurking in the poms, and that these
>>> are causing the failure. Since we never built eba-maven-plugin at
>>> 1.0.0-SNAPSHOT, we don't have a copy of that in our local repository :(
>>>
>>> -- Mark
>>>
>>>
>>> On 20 July 2012 14:49, Holly Cummins <holly.k.cummins@googlemail.com>wrote:
>>>
>>>> And, finally, Nexus has synced with Maven Central. Builds should go
>>>> through fine again now.
>>>>
>>>> On Fri, Jul 20, 2012 at 12:15 PM, Holly Cummins
>>>> <holly.k.cummins@googlemail.com> wrote:
>>>> > Hi Mark,
>>>> >
>>>> > The good news is that I've done the update!
>>>> > The bad news is that the main build, which was passing, is now
>>>> failing. :)
>>>> >
>>>> > I thought I'd waited long enough for the release to be mirrored from
>>>> > Nexus to maven central, but apparently not. :( It's extra foolish of
>>>> > me since I made the same mistake on Wednesday. I think builds should
>>>> > be functional within an hour, hopefully less.
>>>> >
>>>> > (Google suggests that the RSA issues can be related to the JVM, so I
>>>> > wonder if the difference between yours and Graham's build and trunk
is
>>>> > the IBM JVM? Not that it matters, anyway, since I've switched to using
>>>> > the released version of the eba-maven-plugin.)
>>>> >
>>>> > On Fri, Jul 20, 2012 at 11:53 AM, Mark Nuttall <mnuttall@apache.org>
>>>> wrote:
>>>> >> Hi Holly,
>>>> >> Will you post a note please when you've done the updates? Our build
is
>>>> >> breaking like Graham's:
>>>> >>
>>>> >> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
>>>> checking
>>>> >> for u
>>>> >> pdates from apache.snapshots
>>>> >> [WARNING] repository metadata for: 'snapshot
>>>> >> org.apache.aries:eba-maven-plugin:1
>>>> >> .0.0-SNAPSHOT' could not be retrieved from repository:
>>>> apache.snapshots due
>>>> >> to a
>>>> >> n error: Error transferring file: RSA premaster secret error
>>>> >> [INFO] Repository 'apache.snapshots' will be blacklisted
>>>> >> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
>>>> checking
>>>> >> for u
>>>> >> pdates from codehaus.snapshots
>>>> >> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
>>>> checking
>>>> >> for u
>>>> >> pdates from EclipseLink Repo
>>>> >> [INFO] snapshot org.apache.aries:eba-maven-plugin:1.0.0-SNAPSHOT:
>>>> checking
>>>> >> for u
>>>> >> pdates from apache.snapshots
>>>> >> Downloading:
>>>> >> http://repository.apache.org/snapshots/org/apache/aries/eba-maven-p
>>>> >> lugin/1.0.0-SNAPSHOT/eba-maven-plugin-1.0.0-20120714.033233-39.pom
>>>> >>
>>>> >> [INFO]
>>>> >>
>>>> ------------------------------------------------------------------------
>>>> >> [ERROR] BUILD ERROR
>>>> >> [INFO]
>>>> >>
>>>> ------------------------------------------------------------------------
>>>> >> [INFO] Failed to resolve artifact.
>>>> >>
>>>> >> Failed to resolve artifact, possibly due to a repository list that
is
>>>> not
>>>> >> approp
>>>> >> riately equipped for this artifact's metadata.
>>>> >>
>>>> org.apache.aries:eba-maven-plugin:maven-plugin:1.0.0-20120714.033233-39
>>>> >>
>>>> >> from the specified remote repositories:
>>>> >>   codehaus.snapshots (http://snapshots.repository.codehaus.org),
>>>> >>   central (http://repo1.maven.org/maven2),
>>>> >>   apache.snapshots (
>>>> >> https://repository.apache.org/content/groups/snapshots-group
>>>> >> )
>>>> >>
>>>> >> On 20 July 2012 09:18, Holly Cummins <holly.k.cummins@googlemail.com>
>>>> wrote:
>>>> >>
>>>> >>> On Fri, Jul 20, 2012 at 7:28 AM, Graham Charters <
>>>> gcharters@gmail.com>
>>>> >>> wrote:
>>>> >>>
>>>> >>> [snip]
>>>> >>>
>>>> >>> > Error transferring file: RSA pr
>>>> >>> > emaster secret error
>>>> >>> > [INFO] Repository 'apache.snapshots' will be blacklisted
>>>> >>>
>>>> >>> Gosh, that bit about blacklisting apache.snapshots doesn't bode
well
>>>> >>> for your subsequent builds either, does it?
>>>> >>>
>>>> >>> > I was a little surprised that the versions in trunk depend
on
>>>> things
>>>> >>> > that aren't released and aren't built in trunk, but maybe
that's
>>>> the
>>>> >>> > right policy, I would have expected the versions in trunk
to be
>>>> >>> > updated after the release has passed.
>>>> >>>
>>>> >>> Updating the versions in trunk after the release has passed
is
>>>> exactly
>>>> >>> what we do do. :) In this case it just happens that you were
building
>>>> >>> while eba-maven-plugin was in the process of being released,
so
>>>> >>> everything else was depending on a deployed snapshot. (We need
to
>>>> >>> continue depending on 1.0.0-*, rather than moving to depend
on
>>>> >>> 1.0.1-SNAPSHOT as soon as we start the release, in order to
preserve
>>>> >>> the correct minimum version of imported packages.) The
>>>> >>> eba-maven-plugin release passed overnight, so I'm just about
to
>>>> >>> promote the release and update dependencies. It seems to take
a
>>>> little
>>>> >>> while for the maven mirrors to be updated, but once that's done
your
>>>> >>> build should be ok - for that bit, at least.
>>>> >>>
>>>> >>> Regards,
>>>> >>> Holly
>>>> >>>
>>>> >>> >
>>>> >>> > Emily, thanks for the suggestion. I had tried that and
I can build
>>>> the
>>>> >>> > individual, but it builds 1.0.1, whereas it wants to pull
down
>>>> >>> > 1.0.0.xxx
>>>> >>> >
>>>> >>> > Regards, Graham.
>>>> >>> >
>>>> >>> > On 19 July 2012 23:06, Emily Jiang <emijiang6@googlemail.com>
>>>> wrote:
>>>> >>> >> I think I have seen the similiar problem complaining
about
>>>> >>> >> eba-maven-plugin....jar. Can you try to cd to eba-maven-plugin
>>>> and run
>>>> >>> mvn
>>>> >>> >> clean install?
>>>> >>> >> After that, build the component you choose.
>>>> >>> >>
>>>> >>> >> Hope this helps.
>>>> >>> >> Emily
>>>> >>> >>
>>>> >>> >> On Thu, Jul 19, 2012 at 1:24 PM, Graham Charters <
>>>> gcharters@gmail.com
>>>> >>> >wrote:
>>>> >>> >>
>>>> >>> >>> Hi,
>>>> >>> >>>
>>>> >>> >>> I'm trying to build Aries from trunk and it's complaining
about
>>>> the
>>>> >>> >>> following, which I think must be related to the
releases that
>>>> are in
>>>> >>> >>> flight....   Any suggestions on how to resolve
this would be
>>>> >>> >>> appreciated
>>>> >>> >>>
>>>> >>> >>> Downloading:
>>>> >>> >>>
>>>> >>>
>>>> https://repository.apache.org/content/groups/snapshots-group/org/apache/aries/eba-maven
>>>> >>> >>>
>>>> -plugin/1.0.0-SNAPSHOT/eba-maven-plugin-1.0.0-20120714.033233-39.jar
>>>> >>> >>> [INFO]
>>>> >>> >>>
>>>> >>>
>>>> ------------------------------------------------------------------------
>>>> >>> >>> [ERROR] BUILD ERROR
>>>> >>> >>> [INFO]
>>>> >>> >>>
>>>> >>>
>>>> ------------------------------------------------------------------------
>>>> >>> >>> [INFO] Failed to resolve artifact.
>>>> >>> >>>
>>>> >>> >>> Error transferring file: RSA premaster secret error
>>>> >>> >>>
>>>> >>>
>>>> org.apache.aries:eba-maven-plugin:maven-plugin:1.0.0-20120714.033233-39
>>>> >>> >>>
>>>> >>> >>> from the specified remote repositories:
>>>> >>> >>>   codehaus.snapshots (http://snapshots.repository.codehaus.org),
>>>> >>> >>>   central (http://repo1.maven.org/maven2),
>>>> >>> >>>   apache.snapshots
>>>> >>> >>> (https://repository.apache.org/content/groups/snapshots-group)
>>>> >>> >>>
>>>> >>> >>>
>>>> >>> >>> Regards, Graham.
>>>> >>> >>>
>>>> >>> >>
>>>> >>> >>
>>>> >>> >>
>>>> >>> >> --
>>>> >>> >> Thanks
>>>> >>> >> Emily
>>>> >>> >> =================
>>>> >>> >> Emily Jiang
>>>> >>> >> ejiang@apache.org
>>>> >>>
>>>>
>>>
>>>
>>

Mime
View raw message